import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

public class Exchange {
	public static void main(String[] args) {
		JFrame frame = new JFrame("Exchange");
		frame.add(new ExchangePanel());
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.pack();
		frame.setVisible(true);
	}
}

class ExchangePanel extends JPanel {

	private JTextField skrValue; // input
	private JLabel usdValue; // result
	private ExchangeModel model;

	ExchangePanel() {
		JLabel skrLabel = new JLabel("Svenska kronor: ");
		JLabel usdLabel = new JLabel("USDollar: ");
		skrValue = new JTextField(8);
		usdValue = new JLabel("---");

		this.setPreferredSize(new Dimension(200, 100));
	}

	private static final long serialVersionUID = 1L;
}

/**
 * This class implements the "logic" concerned with calculating exchange rates.
 */
class ExchangeModel {

	private final int rate;

	public ExchangeModel(int rate) {
		this.rate = rate;
	}

	public int calculateValue(int value) throws IllegalArgumentException {
		if (value <= 0)
			throw new IllegalArgumentException("value negative");
		return value / rate;
	}
}